import { OperationNode } from './operation-node.js';
import { RawNode } from './raw-node.js';
export declare type GeneratedNodeParams = Omit<GeneratedNode, 'kind' | 'expression'>;
export interface GeneratedNode extends OperationNode {
    readonly kind: 'GeneratedNode';
    readonly byDefault?: boolean;
    readonly always?: boolean;
    readonly identity?: boolean;
    readonly stored?: boolean;
    readonly expression?: RawNode;
}
/**
 * @internal
 */
export declare const GeneratedNode: Readonly<{
    is(node: OperationNode): node is GeneratedNode;
    create(params: GeneratedNodeParams): GeneratedNode;
    createWithExpression(expression: RawNode): GeneratedNode;
    cloneWith(node: GeneratedNode, params: GeneratedNodeParams): GeneratedNode;
}>;
